SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
HTTPConnection.h File Reference

Contains HTTPConnection, used to communicate with web servers. More...

`#include "NativeFeatureIncludes.h"`
`#include "Export.h"`
`#include "string.h"`
`#include "memoryoverride.h"`
`#include "types.h"`
`#include "DS_Queue.h"`

Go to the source code of this file.

## Classes

class | SLNet::HTTPConnection
| Use HTTPConnection to communicate with a web server. More...
struct | SLNet::HTTPConnection::BadResponse
| Encapsulates a raw HTTP response and response code. More...
struct | SLNet::HTTPConnection::OutgoingCommand

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Contains HTTPConnection, used to communicate with web servers.

Definition in file HTTPConnection.h.

## Class Documentation

struct SLNet::HTTPConnection::OutgoingCommand

Definition at line 126 of file HTTPConnection.h.

Class Members
RakString | contentType |
RakString | data |
bool | isPost |
RakString | remotePath |